module MetaBuild
  class CommandLine

    def self.execute(options = {})
      new(options).run
    end

    def initialize(options = {})
      message = MetaBuild::Helper::AppHelper.validate_options options
      if message
        puts "[ERROR] #{message}"
        exit 1
      end

      @options = options

      @options[:name] = MetaBuild::Helper::AppHelper.set_target_name(@options[:name], @options[:compressed_file])
      @options[:replace_files] ||= false
      @options[:create_dir] ||= false
    end

    def run
      MetaBuild::App.new(@options).extract_metadata
    end

  end
end