module MetaBuild
  module Extractor

    class BaseExtractor

      attr_accessor :file, :parent
      attr_reader :artifact

      def initialize(options = {})
        @parent = options[:parent]
        @file = File.absolute_path options[:file]

        @artifact = File.basename @file.sub /\.(ear|war|jar)\z/, ''
      end

      def extract
        raise MetaBuild::Exceptions::MetaBuildException.new "#{self.class}.extract must be overridden."
      end

      def tmp_dir
        @temp ||= File.join Dir.tmpdir, 'meta-build', 'artifacts', @parent.to_s, @artifact
      end

      def create_tmp_dir
        FileUtils.mkdir_p tmp_dir unless File.exist? tmp_dir
      end

    end

  end
end