module MetaBuild
  module Extractor

    class ExtractorFactory
      class << self

        def build(options = {})
          ext = File.extname(options[:file]).sub /\A\./, ''
          case ext
            when 'ear' then EarExtractor.new options
            when 'war' then WarExtractor.new options
            when 'jar' then JarExtractor.new options
            else raise MetaBuild::Exceptions::MetaBuildException.new "Could not find suitable extractor to '#{ext.upcase}' type."
          end
        end

      end
    end

  end
end