module MetaBuild
  module Helper

    class AppHelper
      class << self

        def validate_options(options)
          if options[:compressed_file].to_s.empty?
            return "Parameter [-f, --file] is required."
          elsif !File.exist?(options[:compressed_file])
            return "File denoted by the path '#{options[:compressed_file]}' does not exist."
          end

          if options[:output_dir].to_s.empty?
            return "Parameter [-o, --output-dir] is required."
          elsif (!File.exist?(options[:output_dir])) && (options[:create_dir] != true)
            return "Directory #{options[:output_dir]} does not exist. You might want to call this feature with the parameter [-c, --create-dir]"
          end
        end

        def set_target_name(name = '', source_file)
          name ||= ''

          if name.empty?
            name = source_file.split(File::SEPARATOR).last
            name.sub! /\.\w+\z/, '.json'
          elsif !name.end_with?('.json')
            name << '.json'
          end

          name
        end

        def work_dir
          File.join Dir.tmpdir, 'meta-build'
        end

      end
    end

  end
end