module MetaBuild
  module Parser

    class ParserFactory
      class << self

        def build(options = {})
          ext = File.extname(options[:file]).sub /\A\./, ''
          case ext
            when 'ear' then EarParser.new options
            when 'war' then WarParser.new options
            when 'jar' then JarParser.new options
            else raise MetaBuild::Exceptions::MetaBuildException.new "Could not find suitable parser to '#{ext.upcase}' type."
          end
        end

      end
    end

  end
end