module MetaBuild
  module Parser

    class WarParser < BaseParser

      MODULES = {
        'siefdau-web' => 'sdau',
        'rdoc-web' => 'rdoc',
        'cobra-web' => 'cobra',
        'tdecis-web' => 'tdcs',
        'precadin-web' => 'pcad',
        'mpct-web' => 'overlay',
        'sic-web' => 'sic'
      }

      def parse
        path = "#{@source_path}/META-INF/maven/**/pom.properties"
        hash = Hash.new

        Dir.glob(path).each do |pom|
          pieces = pom.split(File::SEPARATOR)
          _module = pieces[pieces.size - 2]
          hash[MODULES[_module]] = MetaBuild::Helper::PropertiesHelper.load(pom)
        end

        path = "#{@source_path}/public/**/data.json"

        Dir.glob(path).each do |data_json|
          meta_inf = JSON.parse File.read(data_json)
          
          pieces = data_json.split(File::SEPARATOR)
          _module = pieces[pieces.size - 2]
          _module = MODULES['mpct-web'] if _module == 'public'

          if hash[_module]
            hash[_module].merge! meta_inf
          else
            hash[_module] = meta_inf
          end
        end

        hash
      end

    end

  end
end